Foreman - Feature #14013

Add setting for the default owner of new hosts
03/02/2016 10:15 AM - Stefan Hélzle

Status: Closed
Priority: Normal
Assignee: Amir Fefer
Category: Host creation
Target version: 1.15.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.10.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3556
Description

If | add a user to my foreman, the new user doesn't get "Puppet error state" mails although the option is enabled.
More information:

o | installed an earlier version from source (I think it was 1.8.7?) using bundler and updated from time to time to a newer version
using bundler. The currently used version is Foreman version 1.10.2.

This problem was also present in 1.9.3.

A user that | added in an earlier version is getting the subscribed mails, even if | disable and re-enable the "Puppet error state"
mail subscription in the user's settings

| checked the foreman database table user_mail_notifications and found the new user is listed in there. However no mail is sent.
| enabled debug loglevel and searched the logs, but no suspicious errors/warnings.

Related issues:
Related to Foreman - Feature #4524: The logged in user should be the default ... Closed 03/03/2014

Associated revisions

Revision 535d2329 - 03/08/2017 04:40 AM - Amir Fefer

Fixes #14013 - add a setting for default owner of new hosts

History

#1 - 03/02/2016 10:17 AM - Dominic Cleal

- Status changed from New to Feedback
The user (or a group that they are in) must be the registered owner of a host, check under the last tab of the host edit page.
#2 - 03/02/2016 10:44 AM - Stefan Hélzle
Ok, if | change the owner the mails are sent. Thanks !
| have same questions:
e |s there a way to define a default for new hosts ?

e How is the owner of a host determined initially (I did not create hosts manually, they were all added automatically) ?
e |s there a intended way of changing the owner of all hosts ?

#3 - 03/02/2016 10:51 AM - Dominic Cleal
Stefan Holzle wrote:
e |s there a way to define a default for new hosts ?

e How is the owner of a host determined initially (I did not create hosts manually, they were all added automatically) ?

No, I don't think you can define a default in any way. If a user adds a host through the web UI/API then the owner will be set to them, but for hosts
picked up through Puppet etc, it'll probably be unset. If a user edits the host later it might be set to them.
You may want to watch ticket #9470 which will add a way to receive all Puppet error reports.

¢ Is there a intended way of changing the owner of all hosts ?

Foreman 1.11 adds a change owner option to the bulk actions menu on the host list (after ticking the boxes) via ticket #1584.

#4 - 03/02/2016 11:01 AM - Stefan Holzle

| think the possibility to set a default is sensible, possibly an option settable in the Foreman settings.

Apart from that, my issue is solved :)

#5 - 03/02/2016 11:03 AM - Dominic Cleal

- Related to Feature #4524: The logged in user should be the default one in create new hosts added

#6 - 03/02/2016 11:04 AM - Dominic Cleal
- Tracker changed from Bug to Feature
- Subject changed from Foreman not sending "Puppet error state" mails to Add setting for the default owner of new hosts

- Status changed from Feedback to New

#7 - 05/05/2016 06:08 PM - Amir Fefer

- Assignee set to Amir Fefer

#8 - 05/29/2016 09:01 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3556 added

#9 - 07/29/2016 12:43 PM - Daniel Lobato Garcia

- Target version set to 1.7.1

#10 - 08/10/2016 07:43 AM - Daniel Lobato Garcia

- Target version changed from 1.7.1 to 1.6.2

#11 - 10/11/2016 09:56 AM - Daniel Lobato Garcia

- Target version changed from 1.6.2to 1.5.2

#12 - 03/08/2017 05:01 AM - Amir Fefer
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 535d232934a572d83092298822712d193f316a78.

#13 - 03/08/2017 08:44 AM - Dominic Cleal
- Category changed from E-Mail to Host creation

- translation missing: en.field_release set to 209
